VERSION 5.00
Begin VB.Form frmTowerLocation 
   Caption         =   "Tower Location"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7860
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   7860
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraTableName 
      Caption         =   "Table Name:  "
      ForeColor       =   &H00FF0000&
      Height          =   615
      Left            =   4440
      TabIndex        =   4
      Top             =   1920
      Width           =   2895
      Begin VB.Label lblTableName 
         Caption         =   "Label1"
         ForeColor       =   &H000000FF&
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraAction 
      Caption         =   "Action:  "
      ForeColor       =   &H00FF0000&
      Height          =   615
      Left            =   720
      TabIndex        =   2
      Top             =   1920
      Width           =   3135
      Begin VB.Label lblAction 
         Caption         =   "Label1"
         ForeColor       =   &H000000FF&
         Height          =   255
         Left            =   240
         TabIndex        =   3
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraDBName 
      Caption         =   "Database Name:  "
      ForeColor       =   &H00FF0000&
      Height          =   975
      Left            =   600
      TabIndex        =   0
      Top             =   360
      Width           =   6735
      Begin VB.Label lblDataBaseName 
         Caption         =   "Label1"
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   360
         TabIndex        =   1
         Top             =   360
         Width           =   5895
      End
   End
End
Attribute VB_Name = "frmTowerLocation"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()

    ' frmTowerLocation

    Me.Left = (Screen.Width - Me.Width) / 2
    Me.Top = (Screen.Height - Me.Height) / 2

    'frmstatus.lblStatus.Caption = "Building the Data Base structure !"
    frmTowerLocation.Show
    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""
    'lblVersionDate.Caption = "2006.03.06 -- 0900"


    '  ==>  Add database  <==
    Call CreateAntSite_A
    Call CreateAntSite_B
    Call CreateAntSite_C
    Call CreateAntSite_D

    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""
    frmTowerLocation.Hide
    'Unload frmTowerLocation
    'frmstatus.lblStatus.Caption = ""
    DoEvents


End Sub    ' frmTowerLocation

Sub CreateAntSite_A()

    '  Create Workspace
    Set wsJet = DBEngine.Workspaces(0)

    Const Attr_Normal = 0
    '  add test to see if file is in use error = 75
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileA, Attr_Normal))
    If (Len(Trim(gtFilename)) > 0) Then
        Kill (gtTwrLocMdbFileA)
    End If
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileA, Attr_Normal))

    '  Create Master Frequency File datebase shell
    lblAction.Caption = "Creating Database . . . ."
    Set dbJet = wsJet.CreateDatabase(gtTwrLocMdbFileA, dbLangGeneral)
    dbJet.Close

    '  Open database
    Set dbJet = wsJet.OpenDatabase(gtTwrLocMdbFileA)
    lblDataBaseName.Caption = (gtTwrLocMdbFileA)
    lblTableName.Caption = "Ant Site A Table"
    lblAction.Caption = ""
                
    '  Create Table
    lblAction.Caption = "Creating Tables . . . ."
    Set TblNew = dbJet.CreateTableDef("AntSite_A")

        '  Create Fields
        Set FldNew = TblNew.CreateField("TowerSiteKeyA", dbText, 11)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerSiteInfoA", dbText, 30)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerRegA", dbText, 10)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("AntSite_CountA", dbLong)
            TblNew.Fields.Append FldNew
    
        '  Create Indexes
        Set idxNew1 = TblNew.CreateIndex("idxTowerSiteKeyA")
            idxNew1.Fields = "TowerSiteKeyA"
            TblNew.Indexes.Append idxNew1
        Set idxNew2 = TblNew.CreateIndex("idxTowerSiteInfoA")
            idxNew2.Fields = "TowerSiteInfoA"
            TblNew.Indexes.Append idxNew2
        Set idxNew3 = TblNew.CreateIndex("idxTowerRegA")
            idxNew3.Fields = "TowerRegA"
            TblNew.Indexes.Append idxNew3
    
        '  Tie together
        dbJet.TableDefs.Append TblNew
        dbJet.TableDefs.Refresh

        lblAction.Caption = ""
        lblTableName.Caption = ""
        Me.Refresh
    
        dbJet.Close
        Set dbJet = Nothing
        wsJet.Close
        Set wsJet = Nothing

End Sub    '  CreateAntSite_A


Sub CreateAntSite_B()

    '  Create Workspace
    Set wsJet = DBEngine.Workspaces(0)

    Const Attr_Normal = 0
    '  add test to see if file is in use error = 75
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileB, Attr_Normal))
    If (Len(Trim(gtFilename)) > 0) Then
        Kill (gtTwrLocMdbFileB)
    End If
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileB, Attr_Normal))

    '  Create Master Frequency File datebase shell
    lblAction.Caption = "Creating Database . . . ."
    Set dbJet = wsJet.CreateDatabase(gtTwrLocMdbFileB, dbLangGeneral)
    dbJet.Close

    '  Open database
    Set dbJet = wsJet.OpenDatabase(gtTwrLocMdbFileB)
    lblDataBaseName.Caption = (gtTwrLocMdbFileB)
    lblTableName.Caption = "Tower B Table"
    lblAction.Caption = ""
                
    '  Create Table
    lblAction.Caption = "Creating Tables . . . ."
    Set TblNew = dbJet.CreateTableDef("AntSite_B")


        '  Create Fields
        Set FldNew = TblNew.CreateField("TowerSiteKeyB", dbText, 11)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerSiteInfoB", dbText, 40)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("AntSite_CountB", dbLong)
            TblNew.Fields.Append FldNew
    
        '  Create Indexes
        Set idxNew1 = TblNew.CreateIndex("idxTowerSiteKeyB")
            idxNew1.Fields = "TowerSiteKeyB"
            TblNew.Indexes.Append idxNew1
        Set idxNew2 = TblNew.CreateIndex("idxTowerSiteInfoB")
            idxNew2.Fields = "TowerSiteInfoB"
            TblNew.Indexes.Append idxNew2
    
        '  Tie together
        dbJet.TableDefs.Append TblNew
        dbJet.TableDefs.Refresh

        lblAction.Caption = ""
        lblTableName.Caption = ""
        Me.Refresh
    
        dbJet.Close
        Set dbJet = Nothing
        wsJet.Close
        Set wsJet = Nothing

End Sub    '  CreateAntSite_B

Sub CreateAntSite_C()

    '  Create Workspace
    Set wsJet = DBEngine.Workspaces(0)

    Const Attr_Normal = 0
    '  add test to see if file is in use error = 75
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileC, Attr_Normal))
    If (Len(Trim(gtFilename)) > 0) Then
        Kill (gtTwrLocMdbFileC)
    End If
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileC, Attr_Normal))

    '  Create Master Frequency File datebase shell
    lblAction.Caption = "Creating Database . . . ."
    Set dbJet = wsJet.CreateDatabase(gtTwrLocMdbFileC, dbLangGeneral)
    dbJet.Close

    '  Open database
    Set dbJet = wsJet.OpenDatabase(gtTwrLocMdbFileC)
    lblDataBaseName.Caption = (gtTwrLocMdbFileC)
    lblTableName.Caption = "Tower C Table"
    lblAction.Caption = ""
                
    '  Create Table
    lblAction.Caption = "Creating Tables . . . ."
    Set TblNew = dbJet.CreateTableDef("AntSite_C")


        '  Create Fields
        Set FldNew = TblNew.CreateField("TowerSiteKeyC", dbText, 11)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerSiteInfoC", dbText, 80)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("AntSite_CountC", dbLong)
            TblNew.Fields.Append FldNew
    
        '  Create Indexes
        Set idxNew1 = TblNew.CreateIndex("idxTowerSiteKeyC")
            idxNew1.Fields = "TowerSiteKeyC"
            TblNew.Indexes.Append idxNew1
        Set idxNew2 = TblNew.CreateIndex("idxTowerSiteInfoC")
            idxNew2.Fields = "TowerSiteInfoC"
            TblNew.Indexes.Append idxNew2
    
        '  Tie together
        dbJet.TableDefs.Append TblNew
        dbJet.TableDefs.Refresh

        lblAction.Caption = ""
        lblTableName.Caption = ""
        Me.Refresh
    
        dbJet.Close
        Set dbJet = Nothing
        wsJet.Close
        Set wsJet = Nothing

End Sub    '  CreateAntSite_C

Sub CreateAntSite_D()

    '  Create Workspace
    Set wsJet = DBEngine.Workspaces(0)

    Const Attr_Normal = 0
    '  add test to see if file is in use error = 75
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileD, Attr_Normal))
    If (Len(Trim(gtFilename)) > 0) Then
        Kill (gtTwrLocMdbFileD)
    End If
    gtFilename = LCase$(Dir$(gtTwrLocMdbFileD, Attr_Normal))

    '  Create Master Frequency File datebase shell
    lblAction.Caption = "Creating Database . . . ."
    Set dbJet = wsJet.CreateDatabase(gtTwrLocMdbFileD, dbLangGeneral)
    dbJet.Close

    '  Open database
    Set dbJet = wsJet.OpenDatabase(gtTwrLocMdbFileD)
    lblDataBaseName.Caption = (gtTwrLocMdbFileD)
    lblTableName.Caption = "Tower D Table"
    lblAction.Caption = ""
                
    '  Create Table
    lblAction.Caption = "Creating Tables . . . ."
    Set TblNew = dbJet.CreateTableDef("AntSite_D")

        '  Create Fields
        Set FldNew = TblNew.CreateField("TowerSiteKeyD", dbText, 11)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerSiteInfoD", dbText, 50)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("AntSite_CountD", dbLong)
            TblNew.Fields.Append FldNew
    
        '  Create Indexes
        Set idxNew1 = TblNew.CreateIndex("idxTowerSiteKeyD")
            idxNew1.Fields = "TowerSiteKeyD"
            TblNew.Indexes.Append idxNew1
        Set idxNew2 = TblNew.CreateIndex("idxTowerSiteInfoD")
            idxNew2.Fields = "TowerSiteInfoD"
            TblNew.Indexes.Append idxNew2
    
        '  Tie together
        dbJet.TableDefs.Append TblNew
        dbJet.TableDefs.Refresh

        lblAction.Caption = ""
        lblTableName.Caption = ""
        Me.Refresh
    
        dbJet.Close
        Set dbJet = Nothing
        wsJet.Close
        Set wsJet = Nothing
        
End Sub    '  CreateAntSite_D
