VERSION 5.00
Begin VB.Form frmAntSiteDb 
   Caption         =   "Antenna Site Database"
   ClientHeight    =   5805
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   6825
   LinkTopic       =   "Form1"
   ScaleHeight     =   5805
   ScaleWidth      =   6825
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraStatus 
      Caption         =   "Status:  "
      ForeColor       =   &H00FF0000&
      Height          =   1455
      Left            =   600
      TabIndex        =   6
      Top             =   3360
      Width           =   5535
      Begin VB.Label lblStatus 
         Caption         =   "lblStatus"
         ForeColor       =   &H000000FF&
         Height          =   855
         Left            =   120
         TabIndex        =   7
         Top             =   360
         Width           =   5175
      End
   End
   Begin VB.Frame fraUpDateAsrData 
      Caption         =   "Update / Populate ASR Data:  "
      ForeColor       =   &H00FF0000&
      Height          =   1335
      Left            =   600
      TabIndex        =   4
      Top             =   1800
      Width           =   4095
      Begin VB.CommandButton cmdUpdateAsrData 
         Caption         =   "Update / Populate ASR Database"
         Height          =   615
         Left            =   1200
         TabIndex        =   5
         Top             =   360
         Width           =   1815
      End
   End
   Begin VB.Frame fraCreateDatabase 
      Caption         =   "Create Databases:  "
      ForeColor       =   &H00FF0000&
      Height          =   1215
      Left            =   600
      TabIndex        =   1
      Top             =   240
      Width           =   4095
      Begin VB.CommandButton cmdTowers 
         Caption         =   "Of Tower Databases: A, B, C, D && E"
         Height          =   615
         Left            =   2160
         TabIndex        =   3
         Top             =   360
         Width           =   1695
      End
      Begin VB.CommandButton cmdAsrDb 
         Caption         =   "Of Raw ASR Database"
         Height          =   615
         Left            =   240
         TabIndex        =   2
         Top             =   360
         Width           =   1695
      End
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   5040
      TabIndex        =   0
      Top             =   2640
      Width           =   1095
   End
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu mnuSetup 
      Caption         =   "Setup"
      Begin VB.Menu mnuSetupModifyFileLocation 
         Caption         =   "Modify File Location"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "About"
      End
   End
End
Attribute VB_Name = "frmAntSiteDb"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdAsrDb_Click()

    GetIniInfo
    'lblStatus.Caption = "Processing ASR Application data !"
    lblStatus.Caption = "Processing ASR Registration Data !"
    Me.Refresh
    
    Unload frmMkAsrDbS
    DoEvents
    gtMsg = "If you select YES, all data in this database will be lost !" & vbCrLf & vbCrLf
    gtMsg = gtMsg & "Do you wish to initilize this file ?"
    giMsgResponse = MsgBox(gtMsg, (vbYesNo + vbCritical + vbDefaultButton2 + vbApplicationModal), ("Initilize " & Trim(gtOutputMdbFile1) & " ?"))
    If (giMsgResponse = vbYes) Then
        
        frmMkAsrDbS.Show
        DoEvents
        If (frmMkAsrDbS.Visible = True) Then
            frmMkAsrDbS.Hide
            DoEvents
        End If

        giProcessAction = 1

        frmStatus.Show
        frmStatus.Refresh
    
        Call Main
    
        frmStatus.Hide
        Unload frmStatus

        lblStatus.Caption = "FINISHED creating ASR Raw Registration database !"
        frmAntSiteDb.Refresh
    Else
        gtMsg = "Initilize of this database has been aborted !"
        MsgBox gtMsg, (vbInformation), ("Initilize " & Trim(gtOutputMdbFile1) & " ?")
    End If


End Sub

Private Sub cmdExit_Click()
    
    gtMsg = "Do you wish to Exit the program ?"
    giResponse = MsgBox(gtMsg, (vbYesNoCancel + vbCritical + vbDefaultButton3 + vbApplicationModal))
    
    Select Case giResponse
        Case Is = 6   'vbYes
            'MsgBox "Yes"
            lblStatus.Caption = "Exiting program . . . ."
            lblStatus.Refresh
            For giI = Forms.Count - 1 To 0 Step -1
                Unload Forms(giI)
            Next
            End
        Case Is = 7   'vbNo
            'MsgBox "No"
        Case Is = 2   'vbCancel
            'MsgBox "Cancel"
    End Select

End Sub

Private Sub cmdTowers_Click()

    GetIniInfo
        frmAntSite.Show
        DoEvents
        If (frmAntSite.Visible = True) Then
            frmAntSite.Hide
            DoEvents
        End If

    lblStatus.Caption = "FINISHED Populating Ant Site A  !"
    frmAntSiteDb.Refresh

End Sub

Private Sub cmdUpdateAsrData_Click()

    giProcessAction = 3
    GetIniInfo
    lblStatus.Caption = "Processing ASR Registration Data !"
    Me.Refresh
    
    frmStatus.Show
    frmStatus.Refresh
    
    Call Main
    
    frmStatus.Hide
    Unload frmStatus

    lblStatus.Caption = "FINISHED processing ASR Registration data !"
    frmAntSiteDb.Refresh

End Sub

Private Sub Form_Load()

    frmAntSiteDb.Hide
    lblStatus.Caption = ""
    Me.Refresh

    Me.Left = (Screen.Width - Me.Width) / 2
    Me.Top = (Screen.Height - Me.Height) / 2
    
    Me.Show
    
    On Error Resume Next

    If (App.PrevInstance) Then
        gtMsg = App.EXEName & " already running"
        MsgBox gtMsg, 48
    End If

    gtPath2App = LCase(Trim(App.Path))
    If (Right(gtPath2App, 1) <> "\") Then
        gtPath2App = gtPath2App & "\"
    End If
    
    gtIniFileName = LCase(gtPath2App & "antsitedb.ini")

    giProcessAction = 0
    frmAntSiteDb.Refresh

    '  Test to see if program "ini" file is present
    If (LCase(Dir(gtIniFileName)) = "antsitedb.ini") Then
        'gtMsg = "INI file FOUND !"
        'MsgBox gtMsg, , "Loading AntSiteDb !"
        'frmAntSiteDb.Refresh
        GoTo FoundINI    '  INI file exists
    Else
        gtMsg = "INI file not found, creating !"
        MsgBox gtMsg, , "Loading AntSiteDb !"
        frmAntSiteDb.Refresh
        Call CreateIniFile
    End If

FoundINI:

    frmAntSiteDb.Show

End Sub

Private Sub mnuFileExit_Click()

    gtMsg = "Do you wish to Exit the program ?"
    giResponse = MsgBox(gtMsg, (vbYesNoCancel + vbCritical + vbDefaultButton3 + vbApplicationModal))
    
    Select Case giResponse
        Case Is = 6   'vbYes
            'MsgBox "Yes"
            lblStatus.Caption = "Exiting program . . . ."
            frmAntSiteDb.Refresh
            Close
            End
        Case Is = 7   'vbNo
            'MsgBox "No"
        Case Is = 2   'vbCancel
            'MsgBox "Cancel"
    End Select

End Sub

Private Sub mnuHelpAbout_Click()

    frmAbout.Show

End Sub

Private Sub mnuSetupModifyFileLocation_Click()

    Call GetIniInfo
    frmModFileLoc.lblModFileLoc.Caption = "ASR data set!"
    frmModFileLoc.Show

End Sub

Private Sub CreateIniFile()

    'MsgBox gtIniFileName, , "in CreateIniFile"
    'DoEvents
        
    gtSection = "DataFiles"

        gtItemName = "InputFileRaReg"
        gtItemValue = Trim(gtPath2App & "ra.dat")
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

        gtItemName = "OutputFile"
        gtItemValue = Trim(gtPath2App & "asrdb.mdb")
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

        gtItemName = "TwrLocMdbFileA"
        gtItemValue = Trim(gtPath2App & "AntSite_A.mdb")
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

        gtItemName = "TwrLocMdbFileB"
        gtItemValue = Trim(gtPath2App & "AntSite_B.mdb")
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

        gtItemName = "TwrLocMdbFileC"
        gtItemValue = Trim(gtPath2App & "AntSite_C.mdb")
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

        gtItemName = "TwrLocMdbFileD"
        gtItemValue = Trim(gtPath2App & "AntSite_D.mdb")
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

        gtItemName = "TwrLocMdbFileE"
        gtItemValue = Trim(gtPath2App & "AntSite_E.mdb")
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

End Sub    '  CreateIniFile

Private Sub GetIniInfo()

    gtSection = "DataFiles"
        gtItemName = ""
        gtItemName = "InputFileRaReg"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtInputDataTableRaReg = gtBuffer
        gtInputDataTableRaReg = Mid(gtInputDataTableRaReg, 1, glGetIni)
        giPos = InStr(1, gtInputDataTableRaReg, "ra.dat", 1)
        gtInputDataPath = Mid(gtInputDataTableRaReg, 1, (giPos - 1))
        frmModFileLoc.lblInputDataTableRaReg.Caption = gtInputDataTableRaReg

        gtItemName = "OutputFile"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtOutputMdbFile1 = gtBuffer
        gtOutputMdbFile1 = Mid(gtOutputMdbFile1, 1, glGetIni)
        frmModFileLoc.lblInputDataTableRaReg.Caption = gtInputDataTableRaReg
        
        gtItemName = "TwrLocMdbFileA"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtTwrLocMdbFileA = gtBuffer
        gtTwrLocMdbFileA = Mid(gtTwrLocMdbFileA, 1, glGetIni)
        frmModFileLoc.lblAntSite_A.Caption = gtTwrLocMdbFileA

        gtItemName = "TwrLocMdbFileB"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtTwrLocMdbFileB = gtBuffer
        gtTwrLocMdbFileB = Mid(gtTwrLocMdbFileB, 1, glGetIni)
        frmModFileLoc.lblAntSite_B.Caption = gtTwrLocMdbFileB

        gtItemName = "TwrLocMdbFileC"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtTwrLocMdbFileC = gtBuffer
        gtTwrLocMdbFileC = Mid(gtTwrLocMdbFileC, 1, glGetIni)
        frmModFileLoc.lblAntSite_C.Caption = gtTwrLocMdbFileC

        gtItemName = "TwrLocMdbFileD"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtTwrLocMdbFileD = gtBuffer
        gtTwrLocMdbFileD = Mid(gtTwrLocMdbFileD, 1, glGetIni)
        frmModFileLoc.lblAntSite_D.Caption = gtTwrLocMdbFileD

        gtItemName = "TwrLocMdbFileE"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtTwrLocMdbFileE = gtBuffer
        gtTwrLocMdbFileE = Mid(gtTwrLocMdbFileE, 1, glGetIni)
        frmModFileLoc.lblAntSite_E.Caption = gtTwrLocMdbFileE

    'MsgBox ("gtIniFileName = " & gtIniFileName), , "GetIniInfo 1"
    'DoEvents

End Sub    '  GetIniInfo

