VERSION 5.00
Begin VB.Form frmMkAsrDbS 
   Caption         =   "Make Antenna Structure Registration Database Shell (MkAsrDbS)"
   ClientHeight    =   2520
   ClientLeft      =   2175
   ClientTop       =   2580
   ClientWidth     =   6810
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2520
   ScaleWidth      =   6810
   Begin VB.Frame fraAction 
      Caption         =   "Action: "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   120
      TabIndex        =   3
      Top             =   1320
      Width           =   3135
      Begin VB.Label lblAction 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   240
         TabIndex        =   4
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraTableName 
      Caption         =   "Table Name: "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   3360
      TabIndex        =   2
      Top             =   1320
      Width           =   3135
      Begin VB.Label lblTableName 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   240
         TabIndex        =   5
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraDBName 
      BackColor       =   &H00C0C0C0&
      Caption         =   "Data Base Name:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   6375
      Begin VB.Label lblDataBaseName 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   360
         Width           =   5895
      End
   End
End
Attribute VB_Name = "frmMkAsrDbS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'  Workspace object
Dim wsJet As Workspace

'  Database object
Dim dbNew As Database
Dim db As Database

'  Table object
Dim TblNew As TableDef
Dim tblExisting As TableDef

'  Field object
Dim FldNew As Field

'  Index object
Dim idxNew1 As Index
Dim idxNew2 As Index
Dim idxNew3 As Index
Dim idxNew4 As Index
Dim idxNew5 As Index

Private Sub Form_Load()

    Me.Left = (Screen.Width - Me.Width) / 2
    Me.Top = (Screen.Height - Me.Height) / 2

    'frmstatus.lblStatus.Caption = "Building the database structure !"
    frmMkAsrDbS.Show
    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""

    Refresh

    Const Attr_Normal = 0

    gtFilename = LCase$(Dir$(gtOutputMdbFile1, Attr_Normal))
    If (Len(Trim(gtFilename)) > 0) Then
        Kill (gtOutputMdbFile1)
    End If

    '  Create Workspace
    Set wsJet = DBEngine.Workspaces(0)
    
    '  Create Master Frequency File datebase shell
    Set dbJet1 = wsJet.CreateDatabase(gtOutputMdbFile1, dbLangGeneral)
    dbJet1.Close
    '  Open database
    Set dbJet1 = wsJet.OpenDatabase(gtOutputMdbFile1)
    '
    lblDataBaseName.Caption = (gtOutputMdbFile1)
    lblTableName.Caption = ""
    lblAction.Caption = ""
    
    '  ==>  Add tables to database shell  <==
    Call CreateProcessLogTable
    
    Call CreateLiceTable
    Call CreateSiteTable
    'Call CreateSiteTxTable
    
    
    Call CreateRegCoTowerTable
    Call CreateRegCoArrayTable
    Call CreateRegEnOTable
    Call CreateRegEnRTable
    Call CreateRegHsTable
    Call CreateRegRaTable
    Call CreateRegReTable
    Call CreateRegScTable


    dbJet1.Close
    Set dbJet1 = Nothing
    wsJet.Close
    Set wsJet = Nothing
    
    ' = = = = =
    
    
    giPos = InStr(1, gtOutputMdbFile1, gtFilename, 1)
    gtOutputMdbFile2 = Trim(Mid(gtOutputMdbFile1, 1, (giPos - 1))) & "antsitedb.mdb"
    gtFilename = LCase$(Dir$(gtOutputMdbFile2, Attr_Normal))
    If (Len(Trim(gtFilename)) > 0) Then
        Kill (gtOutputMdbFile2)
    End If

    '  Create Workspace
    Set wsJet = DBEngine.Workspaces(0)
    
    '  Create Master Frequency File datebase shell
    Set dbJet1 = wsJet.CreateDatabase(gtOutputMdbFile2, dbLangGeneral)
    dbJet1.Close
    '  Open database
    Set dbJet1 = wsJet.OpenDatabase(gtOutputMdbFile2)
    '
    lblDataBaseName.Caption = (gtOutputMdbFile2)
    lblTableName.Caption = ""
    lblAction.Caption = ""
    
    '  ==>  Add tables to database shell  <==
    
    Call CreateAntSiteOwnerTable
    Call CreateAntSiteInfoTable
    
    dbJet1.Close
    Set dbJet1 = Nothing
    wsJet.Close
    Set wsJet = Nothing

    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""
    frmMkAsrDbS.Hide
    'Unload frmMkAsrDbS
    'frmstatus.lblStatus.Caption = ""
    DoEvents

End Sub    '  Form_Load

Private Sub CreateProcessLogTable()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "ProcessLog Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("ProcessLog")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ActionCounter", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ActionText", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CurrentDateTime", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MdbSize", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InputFileSize", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RecordsProcessed", dbLong)
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxActionCounter")
        idxNew1.Fields = "ActionCounter"
        TblNew.Indexes.Append idxNew1
    '  Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateProcessLogTable

Private Sub CreateLiceTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Lice Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("Lice")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("LicenseeIdKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceTin", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceFrn", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceDBA", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceStreet2", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceStreet1", dbText, 60)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicePOB", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceZipCode", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicePhone", dbText, 14)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceFax", dbText, 14)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceEmail", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceAttn", dbText, 35)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxLicenseeIdKey")
        idxNew1.Fields = "LicenseeIdKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLiceName")
        idxNew2.Fields = "LiceName"
        TblNew.Indexes.Append idxNew2
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateLiceTable

Sub CreateSiteTable()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site  Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("Site")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureType", dbText, 6)
     FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Name", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("County", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Country", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("HorizDatum", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Nepa", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("GrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("OwnerSiteId", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OwnerType", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OwnerStatus", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OwnerClass", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxTowerReg")
        idxNew1.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxOwnerSiteId")
        idxNew2.Fields = "OwnerSiteId"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSiteTable

Sub CreateSiteTxTable()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SiteTx Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("SiteTx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FacIdNum", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxStructureType", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxClassStation", dbText, 4)    '  Fr
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxStreet", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCounty", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxFipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxHorizDatum", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxNepa", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAreaOfOpCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxRadOfOp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxGrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxHgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxHgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsHandHeld", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsMobile", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsTempFixed", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsAircraft", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsItinerant", dbInteger)
    '    TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxFacIdNum")
        idxNew4.Fields = "FacIdNum"
        TblNew.Indexes.Append idxNew4
    
    '  Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSiteTxTable


Sub CreateRegCoTowerTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg CO Tower Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegCoTower")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordTypeT", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicatorT", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumberT", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumberT", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifierT", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CoordinateTypeT", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDegT", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatMinT", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSecT", dbSingle)    '  Numeric(4, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDirT", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatTotalSecT", dbDouble)    '  Numeric(8, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDegT", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonMinT", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSecT", dbSingle)    '  Numeric(4, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDirT", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonTotalSecT", dbDouble)    '  Numeric(8, 1)
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxRegistrationNumberT")
        idxNew1.Fields = "RegistrationNumberT"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFileNumberT")
        idxNew2.Fields = "FileNumberT"
        TblNew.Indexes.Append idxNew2
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateRegCoTowerTable

Sub CreateRegCoArrayTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg CO Array Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegCoArray")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordTypeA", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicatorA", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumberA", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumberA", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifierA", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CoordinateTypeA", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDegA", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatMinA", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSecA", dbSingle)    '  Numeric(4, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDirA", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatTotalSecA", dbDouble)    '  Numeric(8, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDegA", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonMinA", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSecA", dbSingle)    '  Numeric(4, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDirA", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonTotalSecA", dbDouble)    '  Numeric(8, 1)
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxRegistrationNumberA")
        idxNew1.Fields = "RegistrationNumberA"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFileNumberA")
        idxNew2.Fields = "FileNumberA"
        TblNew.Indexes.Append idxNew2
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateRegCoArrayTable

Sub CreateRegEnOTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg EN Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegEnO")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicator", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumber", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumber", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifier", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseeId", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityName", dbMemo)    '  VarChar(200)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FirstName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Mi", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LastName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Suffix", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Phone", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InternetAddress", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StreetAddress", dbText, 35)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PoBox", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ZipCode", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Attention", dbText, 35)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Frn", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxLicenseeId")
        idxNew1.Fields = "LicenseeId"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxRegistrationNumber")
        idxNew2.Fields = "RegistrationNumber"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFileNumber")
        idxNew3.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxFrn")
        idxNew4.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew4
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateRegEnOTable

Sub CreateRegEnRTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg EN Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegEnR")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicator", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumber", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumber", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifier", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseeId", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityName", dbMemo)    '  VarChar(200)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FirstName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Mi", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LastName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Suffix", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Phone", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InternetAddress", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StreetAddress", dbText, 35)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PoBox", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ZipCode", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Attention", dbText, 35)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Frn", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxLicenseeId")
        idxNew1.Fields = "LicenseeId"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxRegistrationNumber")
        idxNew2.Fields = "RegistrationNumber"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFileNumber")
        idxNew3.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxFrn")
        idxNew4.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew4
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh
    
End Sub    '  CreateRegEnRTable

Sub CreateRegHsTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg HS Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegHs")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicator", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumber", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumber", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifier", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Date", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Description", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxRegistrationNumber")
        idxNew1.Fields = "RegistrationNumber"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFileNumber")
        idxNew2.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew2
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateRegHsTable

Sub CreateRegRaTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg RA Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegRa")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicator", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumber", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumber", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifier", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ApplicationPurpose", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PreviousPurpose", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InputSourceCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StatusCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateEntered", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateReceived", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateIssued", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateConstructed", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateDismantled", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateAction", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ArchiveFlagCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Version", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SignatureFirstName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SignatureMiddleInitial", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SignatureLastName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SignatureSuffix", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SignatureTitle", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InvalidSignature", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureStreetAddress", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureStateCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HeightOfStructure", dbSingle)    '  Numeric(5, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("GroundElevation", dbDouble)    '  Numeric(6, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OverallHeightAboveGround", dbDouble)    '  Numeric(6, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OverallHeightAmsl", dbSingle)    '  Numeric(6, 1)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureType", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateFaaDeterminationIssued", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FaaStudyNumber", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FaaCircularNumber", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpecificationOption", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PaintingAndLighting", dbMemo)    '  VarChar(100)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FaaEmiFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NepaFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxRegistrationNumber")
        idxNew1.Fields = "RegistrationNumber"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFileNumber")
        idxNew2.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFaaStudyNumber")
        idxNew3.Fields = "FaaStudyNumber"
        TblNew.Indexes.Append idxNew3
    'Set idxNew4 = TblNew.CreateIndex("idx")
    '    idxNew4.Fields = ""
    '    TblNew.Indexes.Append idxNew4

    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateRegRaTable

Sub CreateRegReTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg RE Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegRe")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicator", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumber", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumber", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifier", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RemarkType", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateKeyed", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SequenceNumber", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RemarkText", dbMemo)    '  VarChar(255)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxRegistrationNumber")
        idxNew1.Fields = "RegistrationNumber"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFileNumber")
        idxNew2.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew2
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateRegReTable

Sub CreateRegScTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Reg SC Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("RegSc")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("RecordType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContentIndicator", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumber", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RegistrationNumber", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UniqueSystemIdentifier", dbText, 9)    '  Numeric(9, 0)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateKeyed", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SequenceNumber", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RemarkText", dbMemo)    '  VarChar(255)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxRegistrationNumber")
        idxNew1.Fields = "RegistrationNumber"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFileNumber")
        idxNew2.Fields = "FileNumber"
        TblNew.Indexes.Append idxNew2
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateRegScTable


Sub CreateAntSiteOwnerTable()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Lice Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("AntSiteOwner")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("StructureOwnerKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("GrpFrn", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FccRegNum", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceTin", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceDBA", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceStreet2", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceStreet1", dbText, 60)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicePOB", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceZipCode", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicePhone", dbText, 14)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceFax", dbText, 14)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceEmail", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceAttn", dbText, 35)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxStructureOwnerKey")
        idxNew1.Fields = "StructureOwnerKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLiceName")
        idxNew2.Fields = "LiceName"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFccRegNum")
        idxNew3.Fields = "FccRegNum"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxGrpFrn")
        idxNew4.Fields = "GrpFrn"
        TblNew.Indexes.Append idxNew4
    
    'Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAsrLiceTable

Sub CreateAntSiteInfoTable()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Info Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet1.CreateTableDef("AntSiteInfo")

    '  Create Fields
    
    Set FldNew = TblNew.CreateField("AntSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureOwnerKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerArrayFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureType", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Name", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("County", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Country", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("LatDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    
    
    Set FldNew = TblNew.CreateField("HorizDatum", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Nepa", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("GrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("OwnerSiteId", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OwnerType", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OwnerStatus", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OwnerClass", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAntSiteKey")
        idxNew1.Fields = "AntSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxStructureOwnerKey")
        idxNew2.Fields = "StructureOwnerKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxOwnerSiteId")
        idxNew4.Fields = "OwnerSiteId"
        TblNew.Indexes.Append idxNew4

    '  Tie together
    dbJet1.TableDefs.Append TblNew
    dbJet1.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntSiteInfoTable

